name: NS4150B
description: amplifier, audio, class D, mono, 3W
datasheet: http://www.nsiway.com.cn/product/58.html 
distributor: LCSC C189961

pinout:
  CTRL: 1
  BYPASS: 2
  IN:
    INP: 3
    INN: 4
  OUT:
    VOP: 8
    VON: 5
  GND: 7
  VCC: 6

properties:
  in: IN, CTRL
  out: OUT
  passive: BYPASS
  power: VCC
  ground: GND

schematic:
  symbol: IC
  left: IN, CTRL, BYPASS
  right: OUT
  top: VCC
  bottom: GND

housing:
  pattern: SOP # MSOP-8
  bodyWidth: 2.9-3.1 # E1
  bodyLength: 2.9-3.1 # D
  height: 1.1 # A
  pitch: 0.65 # e
  leadCount: 8
  leadLength: 0.4-0.7 # L
  leadSpan: 4.7-5.1 # E
  leadWidth: 0.29-0.38 # b
